Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 84086

Summary: whois cannot look up .org domains
Product: [Retired] Red Hat Linux Reporter: Rajiv Manglani <rajiv>
Component: whoisAssignee: Nalin Dahyabhai <nalin>
Status: CLOSED WONTFIX QA Contact: Mike McLean <mikem>
Severity: medium Docs Contact:
Priority: high    
Version: 7.2CC: mgarski
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2004-09-27 21:19:39 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 133398    

Description Rajiv Manglani 2003-02-12 00:42:13 UTC
Description of problem:
whois client cannot look up .org domains

Version-Release number of selected component (if applicable):
/usr/bin >> rpm -q whois
whois-1.0.9-1


Steps to Reproduce:
/usr/bin >> whois slashdot.org
[whois.crsnic.net]

Whois Server Version 1.3

Domain names in the .com and .net domains can now be registered
with many different competing registrars. Go to http://www.internic.net
for detailed information.

No match for "SLASHDOT.ORG".

>>> Last update of whois database: Tue, 11 Feb 2003 17:39:14 EST <<<

The Registry database contains ONLY .COM, .NET, .EDU domains and
Registrars.


Expected results:
whois should query the appropriate registrar.


Additional info:
see also bug #59872 for a similar problem with .to domains.

please replace the current whois on redhat 7.2 with one that is more useful, and
does not have to be updated everytime there is a registrar change. see bug
#15221 for this suggestion on redhat 8.0.

Comment 1 Sean Porterfield 2003-09-18 20:59:40 UTC
This is still broken in RH 8.0

Comment 2 Marcin Garski 2004-09-27 21:19:39 UTC
whois is no longer included in Fedora Core.
It has been replaced by jwhois.
Upgrade to lastest release of Fedora Core and try jwois, if this bug
still occur, please reopen.